<?php
// Dateiname: intojs.php
// Skript zur Erkennung von Do Not Track (DNT)
// Holt sich den HTTP DNT Request, und setzt die Variable window.isDntOn.  
// Diese kann durch JavaScript angesprochen werden.

function getDntStatus() {
  // Praktische Funktion, die Sie oft gebrauchen können.
  // Wichtig: DNT kann angeschaltet (1), ausgeschaltet (0), oder
  // nicht gesetzt sein. Man sollte nicht gesetzte Werte mit einbeziehen,
  // damit man keine Null Pointer-Fehler erzeugt.
  // return TRUE wenn Dnt angeschaltet und gleich 1,
  // return FALSE wenn Dnt ausgeschaltet oder nicht gleich 1.
  return (isset($_SERVER['HTTP_DNT']) && $_SERVER['HTTP_DNT'] == 1);
}
// PHP so einstellen, dass dem Browser JavaScript übergibt.
header("content-type: application/x-javascript");

if (getDntStatus()) {
  echo "window.isDntOn = true;";
} else {
  echo "window.isDntOn = false;";
}
?>
